Partial-field update
curl --request PATCH \
--url http://127.0.0.1:{port}/modes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": true,
"capitalization": true,
"profanityFilter": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": true,
"isSystemProvided": true,
"sortOrder": 123,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 123,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": true,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": true,
"enableScreenOCR": true,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>"
}
'import requests
url = "http://127.0.0.1:{port}/modes/{id}"
payload = {
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": True,
"capitalization": True,
"profanityFilter": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": True,
"isSystemProvided": True,
"sortOrder": 123,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 123,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": True,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": True,
"enableScreenOCR": True,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
preset: '<string>',
language: '<string>',
model: '<string>',
punctuation: true,
capitalization: true,
profanityFilter: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customInstructions: '<string>',
userSystemPrompt: '<string>',
isDefault: true,
isSystemProvided: true,
sortOrder: 123,
createdDate: '2023-11-07T05:31:56Z',
modifiedDate: '2023-11-07T05:31:56Z',
languageModel: '<string>',
cloudTranscriptionModel: '<string>',
cloudProvider: '<string>',
postProcessingMode: 123,
postProcessingProvider: '<string>',
englishSpelling: '<string>',
useStreamingTranscription: true,
cloudAccuracyTier: '<string>',
removeTrailingPeriod: true,
enableScreenOCR: true,
geminiCustomPrompt: '<string>',
cloudPostProcessingModel: '<string>'
})
};
fetch('http://127.0.0.1:{port}/modes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"mode": {
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": true,
"capitalization": true,
"profanityFilter": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": true,
"isSystemProvided": true,
"sortOrder": 123,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 123,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": true,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": true,
"enableScreenOCR": true,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>"
}
}API Reference
Partial-field update
PATCH
/
modes
/
{id}
Partial-field update
Authorizations
Token from the discovery file. Required on every endpoint except /health.
Path Parameters
Body
application/json
Partial Mode. Any field omitted is left untouched on the server.
hyper | note | email | commit | custom
0 = off, 1 = cloud, 2 = local
Was this page helpful?
⌘I
